Bug 5140 - pump leases always for 8 hours
pump leases always for 8 hours
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: pump (Show other bugs)
7.1
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Erik Troan
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-09-14 20:18 EDT by Jeremy Katz
Modified: 2008-05-01 11:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-07-14 00:16:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeremy Katz 1999-09-14 20:18:49 EDT
Although the dhcp servers used here give 30 day leases to
any windows boxes, pump will only get an 8 hour lease.  I've
tested this as well by setting the lease time on my local
dhcpd to 30 days and pump still got an 8 hour lease, even
though I told pump to request a lease time of longer.  Also
occurs with current pump in rawhide.
Comment 1 Erik Troan 2000-02-03 10:56:59 EST
This should be fixed in the pum-0.7.6, which will be on
ftp://people.redhat.com/ewt this afternoon. Please let me know if it doesn't
work.
Comment 2 Jeremy Katz 2000-02-20 00:50:59 EST
It still doesn't seem to be matching "correct" behavior using pump-0.7.8.  I set
up my dhcpd to give out something different for default-lease-time.  dhcpcd
properly receives the correct default lease time to act on.  On the other hand,
pump only gets an 11 hour lease (which appears to be its deafult now (?)).  If I
specify a longer time of up to 24 hours it appears to work, but more than that
and it still thinks the lease expires in 24 hours.
Comment 3 Jeremy Katz 2000-07-14 00:16:04 EDT
Still a problem in pump-0.7.11-1
Comment 4 Jeremy Katz 2000-07-16 13:01:44 EDT
Actually, either I can't read or add one...  longer testing yesterday did show
it working in 0.7.11

Note You need to log in before you can comment on or make changes to this bug.